﻿/**
 * Copyright 2010 Canonical Ltd.
 * 
 * This file is part of UbuntuOne on Windows.
 * 
 * UbuntuOne on Windows is free software: you can redistribute it and/or modify		
 * it under the terms of the GNU Lesser General Public License version 		
 * as published by the Free Software Foundation.		
 *		
 * Ubuntu One on Windows is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the	
 * GNU Lesser General Public License for more details.	
 *
 * You should have received a copy of the GNU Lesser General Public License	
 * along with UbuntuOne for Windows.  If not, see <http://www.gnu.org/licenses/>.
 * 
 * Authors: Manuel de la Peña <manuel.delapena@canonical.com>
 */
using System;
using System.Collections.Generic;
using Canonical.UbuntuOne.Common;

namespace Canonical.UbuntuOne.ProcessDispatcher
{
    class SyncFoldersService : ISyncFolders
    {
        /// <summary>
        /// Creates a new udf for the given path.
        /// </summary>
        /// <param name="path">The path to which the Udf will be created.</param>
        public void CreateFolderUdf(string path)
        {
            throw new NotImplementedException();
        }

        /// <summary>
        /// Deletes the udf go the given path.
        /// </summary>
        /// <param name="path">The path whose Udf we will remove.</param>
        public void DeleteFolderUdf(string path)
        {
            throw new NotImplementedException();
        }

        /// <summary>
        /// Returns a list of all the udfs.
        /// </summary>
        /// <returns>A list with all the udfs.</returns>
        public IList<UdfData> GetFolders()
        {
            throw new NotImplementedException();
        }

        /// <summary>
        /// Allows the client to tell the sync daemon to subscribe to a folder id.
        /// </summary>
        /// <param name="folderId">The id of the folder to subscribe to.</param>
        public void Subscribe(string folderId)
        {
            throw new NotImplementedException();
        }

        /// <summary>
        /// Allows the client to tell the daemon to unsubscribe from the given folder id.
        /// </summary>
        /// <param name="folderId">The id of the folder to unsubscribe from.</param>
        public void Unsubscribe(string folderId)
        {
            throw new NotImplementedException();
        }

        /// <summary>
        /// Allows the client to request the Udf data for a given path.
        /// </summary>
        /// <param name="path">The path whose udf we want to get.</param>
        /// <returns>The udf data of the given path.</returns>
        public UdfData GetInfo(string path)
        {
            throw new NotImplementedException();
        }

        /// <summary>
        /// Refreshes the states of the volumns.
        /// </summary>
        public void RefreshVolumes()
        {
            throw new NotImplementedException();
        }
    }
}
