﻿/**
 * Copyright 2010 Canonical Ltd.
 * 
 * This file is part of UbuntuOne on Windows.
 * 
 * UbuntuOne on Windows is free software: you can redistribute it and/or modify		
 * it under the terms of the GNU Lesser General Public License version 		
 * as published by the Free Software Foundation.		
 *		
 * Ubuntu One on Windows is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the	
 * GNU Lesser General Public License for more details.	
 *
 * You should have received a copy of the GNU Lesser General Public License	
 * along with UbuntuOne for Windows.  If not, see <http://www.gnu.org/licenses/>.
 * 
 * Authors: Manuel de la Peña <manuel.delapena@canonical.com>
 */
using System;

namespace Canonical.UbuntuOne.Common
{
    /// <summary>
    /// Exception that must be thrown when there was an exception when managing a process. 
    /// </summary>
    public class ProcessManagementException : Exception
    {
        #region Constructors

        public ProcessManagementException()
        {
            
        }

        public ProcessManagementException(string message)
            : base(message)
        {

        }

        public ProcessManagementException(string message, Exception inner)
            : base(message, inner)
        {

        }

        #endregion
    }
}
