﻿/**
 * Copyright 2010 Canonical Ltd.
 * 
 * This file is part of UbuntuOne on Windows.
 * 
 * UbuntuOne on Windows is free software: you can redistribute it and/or modify		
 * it under the terms of the GNU Lesser General Public License version 		
 * as published by the Free Software Foundation.		
 *		
 * Ubuntu One on Windows is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the	
 * GNU Lesser General Public License for more details.	
 *
 * You should have received a copy of the GNU Lesser General Public License	
 * along with UbuntuOne for Windows.  If not, see <http://www.gnu.org/licenses/>.
 * 
 * Authors: Manuel de la Peña <manuel.delapena@canonical.com>
 */
namespace Canonical.UbuntuOne.Common.Validation
{
    /// <summary>
    /// http://blog.getpaint.net/2008/12/06/a-fluent-approach-to-c-parameter-validation/
    /// </summary>
    public static class ValidateArgs
    {
        /// <summary>
        /// Allows to start the validation of the arguments. 
        /// </summary>
        /// <returns>
        /// A <see cref="ArgumentValidation"/> that will carry the validation.
        /// </returns>
        public static ArgumentValidation Begin()
        {
            return null;
        }
    }
}
